/******************************************************************************

Copyright (c) 1988-2010 Flexera Software, Inc. All Rights Reserved.
	This software has been provided pursuant to a License Agreement
	containing restrictions on its use.  This software contains
	valuable trade secrets and proprietary information of 
	Flexera Software, Inc. and is protected by law.  It may 
	not be copied or distributed in any form or medium, disclosed 
	to third parties, reverse engineered or used in any manner not 
	provided for in said License Agreement except with the prior 
	written authorization from Flexera Software, Inc.
****************************************************************************/
#define LM_PUBKEYS 	3
#define LM_MAXPUBKEYSIZ 40

typedef struct _pubkeyinfo {
		    int pubkeysize[LM_PUBKEYS];
		    unsigned char pubkey[LM_PUBKEYS][LM_MAXPUBKEYSIZ];
		    int (*pubkey_fptr)();
		    int strength;
		    int sign_level;
} LM_VENDORCODE_PUBKEYINFO;
#define LM_MAXSIGNS 	4   /* SIGN=, SIGN2=, SIGN3=, SIGN4= */


typedef struct _vendorcode {
		    short type;	   
		    unsigned long data[2]; 
		    unsigned long keys[4]; 
		    short flexlm_version;
		    short flexlm_revision;
		    char flexlm_patch[2];
#define LM_MAX_BEH_VER 4 
		    char behavior_ver[LM_MAX_BEH_VER + 1];
		    unsigned long trlkeys[2]; 
		    int signs; 
		    int strength; 
		    int sign_level;
		    LM_VENDORCODE_PUBKEYINFO pubkeyinfo[LM_MAXSIGNS];

			  } VENDORCODE;
extern char *(*l_borrow_dptr)(void *, char *, int, int);

#pragma optimize("", off)
extern int l_pubkey_verify();
#include <string.h>
#include <time.h>

static
int vc(char *buf, VENDORCODE *v, int x, char *y, int z, int *a, char *buf2)
{
    static int c;

    if (x) return 0;

    if (!buf)
    {
        c = 0;
        return 0;
    }
    if (c > 1) return 0;
    memset(v, 0, sizeof(VENDORCODE));
    strcpy(buf, "demo");
	if (a) *a = 1;
	if (c == 0) v->keys[0] = 0x9ddcd080;
	if (c == 0) v->keys[1] = 0x99aa83ca;
	if (c == 0) v->keys[2] = 0x33995869;
	if (c == 0) v->keys[3] = 0xa61f13db;
	if (c == 0) v->trlkeys[0] = 0x5f1dcea6;
	if (c == 0) v->trlkeys[1] = 0x24af8961;
	if (c == 0) v->sign_level = 0x1;
	if (c == 0) v->strength = 0x2;
	if (c == 0) v->data[0] = 0xd65a665f;
	if (c == 0) v->data[1] = 0xbe36d028;
	if (c == 0)
	{
		v->pubkeyinfo[0].pubkeysize[0] = 0x10;
		v->pubkeyinfo[0].pubkeysize[1] = 0x16;
		v->pubkeyinfo[0].pubkeysize[2] = 0x1f;
		v->pubkeyinfo[0].strength = 0x2;
		v->pubkeyinfo[0].sign_level = 0x1;
		v->pubkeyinfo[0].pubkey_fptr = l_pubkey_verify;
		v->pubkeyinfo[0].pubkey[0][0] = 0x67;
		v->pubkeyinfo[0].pubkey[0][1] = 0x9c;
		v->pubkeyinfo[0].pubkey[0][2] = 0xb2;
		v->pubkeyinfo[0].pubkey[0][3] = 0x96;
		v->pubkeyinfo[0].pubkey[0][4] = 0x9d;
		v->pubkeyinfo[0].pubkey[0][5] = 0xe9;
		v->pubkeyinfo[0].pubkey[0][6] = 0x74;
		v->pubkeyinfo[0].pubkey[0][7] = 0x24;
		v->pubkeyinfo[0].pubkey[0][8] = 0x59;
		v->pubkeyinfo[0].pubkey[0][9] = 0xa0;
		v->pubkeyinfo[0].pubkey[0][10] = 0x8c;
		v->pubkeyinfo[0].pubkey[0][11] = 0x0;
		v->pubkeyinfo[0].pubkey[0][12] = 0x81;
		v->pubkeyinfo[0].pubkey[0][13] = 0x65;
		v->pubkeyinfo[0].pubkey[0][14] = 0x67;
		v->pubkeyinfo[0].pubkey[0][15] = 0x1e;
		v->pubkeyinfo[0].pubkey[0][16] = 0x0;
		v->pubkeyinfo[0].pubkey[0][17] = 0x0;
		v->pubkeyinfo[0].pubkey[0][18] = 0x0;
		v->pubkeyinfo[0].pubkey[0][19] = 0x0;
		v->pubkeyinfo[0].pubkey[0][20] = 0x0;
		v->pubkeyinfo[0].pubkey[0][21] = 0x0;
		v->pubkeyinfo[0].pubkey[0][22] = 0x0;
		v->pubkeyinfo[0].pubkey[0][23] = 0x0;
		v->pubkeyinfo[0].pubkey[0][24] = 0x0;
		v->pubkeyinfo[0].pubkey[0][25] = 0x0;
		v->pubkeyinfo[0].pubkey[0][26] = 0x0;
		v->pubkeyinfo[0].pubkey[0][27] = 0x0;
		v->pubkeyinfo[0].pubkey[0][28] = 0x0;
		v->pubkeyinfo[0].pubkey[0][29] = 0x0;
		v->pubkeyinfo[0].pubkey[0][30] = 0x0;
		v->pubkeyinfo[0].pubkey[0][31] = 0x0;
		v->pubkeyinfo[0].pubkey[0][32] = 0x0;
		v->pubkeyinfo[0].pubkey[0][33] = 0x0;
		v->pubkeyinfo[0].pubkey[0][34] = 0x0;
		v->pubkeyinfo[0].pubkey[0][35] = 0x0;
		v->pubkeyinfo[0].pubkey[0][36] = 0x0;
		v->pubkeyinfo[0].pubkey[0][37] = 0x0;
		v->pubkeyinfo[0].pubkey[0][38] = 0x0;
		v->pubkeyinfo[0].pubkey[0][39] = 0x0;
		v->pubkeyinfo[0].pubkey[1][0] = 0x67;
		v->pubkeyinfo[0].pubkey[1][1] = 0xa2;
		v->pubkeyinfo[0].pubkey[1][2] = 0x39;
		v->pubkeyinfo[0].pubkey[1][3] = 0x4a;
		v->pubkeyinfo[0].pubkey[1][4] = 0x31;
		v->pubkeyinfo[0].pubkey[1][5] = 0xb3;
		v->pubkeyinfo[0].pubkey[1][6] = 0x35;
		v->pubkeyinfo[0].pubkey[1][7] = 0xfa;
		v->pubkeyinfo[0].pubkey[1][8] = 0x7c;
		v->pubkeyinfo[0].pubkey[1][9] = 0xb4;
		v->pubkeyinfo[0].pubkey[1][10] = 0xf2;
		v->pubkeyinfo[0].pubkey[1][11] = 0x51;
		v->pubkeyinfo[0].pubkey[1][12] = 0xf6;
		v->pubkeyinfo[0].pubkey[1][13] = 0xdf;
		v->pubkeyinfo[0].pubkey[1][14] = 0x6c;
		v->pubkeyinfo[0].pubkey[1][15] = 0x94;
		v->pubkeyinfo[0].pubkey[1][16] = 0x12;
		v->pubkeyinfo[0].pubkey[1][17] = 0x87;
		v->pubkeyinfo[0].pubkey[1][18] = 0x2a;
		v->pubkeyinfo[0].pubkey[1][19] = 0xc;
		v->pubkeyinfo[0].pubkey[1][20] = 0xbd;
		v->pubkeyinfo[0].pubkey[1][21] = 0xee;
		v->pubkeyinfo[0].pubkey[1][22] = 0x0;
		v->pubkeyinfo[0].pubkey[1][23] = 0x0;
		v->pubkeyinfo[0].pubkey[1][24] = 0x0;
		v->pubkeyinfo[0].pubkey[1][25] = 0x0;
		v->pubkeyinfo[0].pubkey[1][26] = 0x0;
		v->pubkeyinfo[0].pubkey[1][27] = 0x0;
		v->pubkeyinfo[0].pubkey[1][28] = 0x0;
		v->pubkeyinfo[0].pubkey[1][29] = 0x0;
		v->pubkeyinfo[0].pubkey[1][30] = 0x0;
		v->pubkeyinfo[0].pubkey[1][31] = 0x0;
		v->pubkeyinfo[0].pubkey[1][32] = 0x0;
		v->pubkeyinfo[0].pubkey[1][33] = 0x0;
		v->pubkeyinfo[0].pubkey[1][34] = 0x0;
		v->pubkeyinfo[0].pubkey[1][35] = 0x0;
		v->pubkeyinfo[0].pubkey[1][36] = 0x0;
		v->pubkeyinfo[0].pubkey[1][37] = 0x0;
		v->pubkeyinfo[0].pubkey[1][38] = 0x0;
		v->pubkeyinfo[0].pubkey[1][39] = 0x0;
		v->pubkeyinfo[0].pubkey[2][0] = 0x66;
		v->pubkeyinfo[0].pubkey[2][1] = 0xcb;
		v->pubkeyinfo[0].pubkey[2][2] = 0x85;
		v->pubkeyinfo[0].pubkey[2][3] = 0xd5;
		v->pubkeyinfo[0].pubkey[2][4] = 0xf8;
		v->pubkeyinfo[0].pubkey[2][5] = 0xce;
		v->pubkeyinfo[0].pubkey[2][6] = 0xf5;
		v->pubkeyinfo[0].pubkey[2][7] = 0xae;
		v->pubkeyinfo[0].pubkey[2][8] = 0x75;
		v->pubkeyinfo[0].pubkey[2][9] = 0xfe;
		v->pubkeyinfo[0].pubkey[2][10] = 0x64;
		v->pubkeyinfo[0].pubkey[2][11] = 0x6e;
		v->pubkeyinfo[0].pubkey[2][12] = 0x2f;
		v->pubkeyinfo[0].pubkey[2][13] = 0x7d;
		v->pubkeyinfo[0].pubkey[2][14] = 0x5d;
		v->pubkeyinfo[0].pubkey[2][15] = 0x1b;
		v->pubkeyinfo[0].pubkey[2][16] = 0x53;
		v->pubkeyinfo[0].pubkey[2][17] = 0x5d;
		v->pubkeyinfo[0].pubkey[2][18] = 0x7d;
		v->pubkeyinfo[0].pubkey[2][19] = 0xc2;
		v->pubkeyinfo[0].pubkey[2][20] = 0x22;
		v->pubkeyinfo[0].pubkey[2][21] = 0x6;
		v->pubkeyinfo[0].pubkey[2][22] = 0xd5;
		v->pubkeyinfo[0].pubkey[2][23] = 0xc2;
		v->pubkeyinfo[0].pubkey[2][24] = 0x44;
		v->pubkeyinfo[0].pubkey[2][25] = 0xe7;
		v->pubkeyinfo[0].pubkey[2][26] = 0xe6;
		v->pubkeyinfo[0].pubkey[2][27] = 0x69;
		v->pubkeyinfo[0].pubkey[2][28] = 0xbb;
		v->pubkeyinfo[0].pubkey[2][29] = 0x6a;
		v->pubkeyinfo[0].pubkey[2][30] = 0x75;
		v->pubkeyinfo[0].pubkey[2][31] = 0x0;
		v->pubkeyinfo[0].pubkey[2][32] = 0x0;
		v->pubkeyinfo[0].pubkey[2][33] = 0x0;
		v->pubkeyinfo[0].pubkey[2][34] = 0x0;
		v->pubkeyinfo[0].pubkey[2][35] = 0x0;
		v->pubkeyinfo[0].pubkey[2][36] = 0x0;
		v->pubkeyinfo[0].pubkey[2][37] = 0x0;
		v->pubkeyinfo[0].pubkey[2][38] = 0x0;
		v->pubkeyinfo[0].pubkey[2][39] = 0x0;
	}

{
	  char *l_borrow_decrypt(void *, char *, int, int);
		l_borrow_dptr = l_borrow_decrypt;
	}
	v->type = 4;
	strcpy(v->behavior_ver, "11.0");
	v->flexlm_version = 11;
	v->flexlm_revision = 9;
	v->flexlm_patch[0] = 0;
	c++;
	return 1;
}
int (*l_n36_buf)() = vc;
unsigned char l_gcspim[] = {
0x00,0x0d,0x20,0x02,0xcf,0xb5,0x16,0x50,0x92,0x73,0x24,
    0xd2,0xd2,0xca,0x46,0x55,0x92,0x49,0x0f,0xd3,0xa5,0xc9,
    0x95,0x6d,0x57,0x7c,0xb7,0xe0,0x3a,0xc6,0xd6,0xbb,0xc6,
    0x2a,0x3b,0xe4,0xf1,0xe3,0x65,0x30,0x9e,0x25,0x23,0xa6,
    0xd2,0x72,0x99,0x24,0xf4,0xc3,0xae,0x39,0x53,0xaa,0x6f,
    0x07,0x75,0x5a,0x87,0x73,0xba,0x70,0xfa,0x37,0xa1,0xe4,
    0x59,0x48,0x15,0x33,0x16,0xc8,0xa1,0xc0,0x1c,0xed,0xbe,
    0xc5,0xba,0xab,0x43,0xc6,0x36,0x51,0x37,0xc0,0x5e,0x84,
    0x30,0x66,0xae,0x4b,0xf1,0x00,0x86,0xdc,0x24,0x51,0x6c,
    0xba,0xd5,0xde,0xdc,0xa8,0x88,0x62,0xd6,0x62,0x0f,0x26,
    0xb5,0x32,0x1d,0xb1,0xc5,0xff,0xa4,0x3e,0xf7,0x6e,0x29,
    0x44,0x59,0xe8,0xf7,0xe0,0x69,0x03,0xe2,0xca,0xf0,0xb9,
    0x7c,0xb2,0x39,0x03,0x75,0x9e,0x19,0xe0,0xe2,0xc0,0xc8,
    0x45,0xcf,0x23,0xb4,0xe4,0xf1,0x1d,0xe3,0xe1,0x61,0x04,
    0x67,0xaf,0xfe,0x02,0x9b,0x2a,0xc0,0xf0,0xae,0x33,0xe2,
    0xa2,0x6a,0x79,0x4a,0xa8,0x14,0x59,0x1d,0x64,0x81,0x0c,
    0x48,0xe3,0xe7,0x44,0xef,0x5c,0x0a,0x7a,0xb7,0xaa,0x4b,
    0xf2,0xcd,0x37,0x44,0xbc,0x43,0xeb,0x08,0x68,0x0c,0xb4,
    0x37,0x02,0x99,0xd4,0xee,0x72,0xba,0xfe,0x3f,0xdc,0x3b,
    0xbb,0xd4,0xed,0xfe,0x57,0xdf,0x86,0xfa,0x02,0x9e,0xf0,
    0xef,0x02,0x3e,0x64,0x5b,0x53,0x46,0x59,0xc7,0x88,0x42,
    0xba,0x60,0x2a,0xaf,0x4c,0x1b,0xe1,0xfe,0x96,0x79,0x7c,
    0xba,0x33,0x5f,0x9b,0xb5,0x24,0xfa,0xc8,0xb8,0xb1,0x23,
    0x5c,0x05,0xb8,0x86,0x24,0xfb,0x97,0x0c,0x7f,0x62,0xb9,
    0xc8,0x7b,0x11,0xae,0x2b,0xfd,0x18,0x3f,0xfa,0x37,0xd0,
    0xe6,0xda,0xc0,0xf8,0x0e,0x63,0x5d,0xe4,0x6e,0x2a,0x5d,
    0x00,0x4d,0xbd,0x13,0x84,0x83,0xd6,0xc4,0xc7,0xc6,0x13,
    0x42,0x24,0x35,0xa5,0x1b,0xb4,0xf0,0x59,0xdc,0xa7,0xeb,
    0xbf,0xc7,0x57,0x44,0x2c,0x90,0xe5,0xe6,0xd8,0xfe,0x22,
    0x53,0x3a,0xc9,0x5a,0x8b,0x30,0x1a,0x3b,0xd5,0xda,0xa5,
    0x3e,0xbb,0x0e,0x0f,0xdb,0xa5,0xc9,0x61,0x0c,0x57,0x86,
    0x13,0xe0,0x2e,0x89,0xa4,0x3a,0xc6,0x2a,0x71,0x9b,0xb5,
    0xd4,0xc6,0xc8,0x11,0x7a,0x23,0x4e,0xd7,0xa3,0xb7,0x24,
    0xfb,0xfd,0x0c,0x7f,0xd3,0xcb,0xc8,0x28,0x33,0xae,0xdc,
    0xf6,0x13,0x6a,0xfa,0x33,0x8b,0xe4,0xda,0x2a,0xf9,0x0e,
    0x73,0x84,0xe4,0x48,0xc8,0xd0,0x4d,0x4d,0xad,0x8e,0x84,
    0x83,0x52,0x5e,0xc7,0x60,0x5f,0x42,0xfe,0x37,0x7e,0x47,
    0xb4,0xf0,0xbe,0xdc,0xad,0xd6,0x47,0xff,0x3a,0x41,0x24,
    0x7c,0x08,0x1c,0x69,0x46,0x54,0xd3,0x3e,0xfa,0xd4,0x87,
    0xf0,0xff,0xd1,0x31,0xd6,0xc8,0xa6,0xe0,0xfb,0x41,0xe5,
    0xb5,0xcd,0x2a,0x0d,0xde,0x3c,0x59,0xad,0x78,0x69,0x9c,
    0x1d,0x3a,0xa9,0xbd,0x5e,0x44,0x23,0x14,0xc8,0x06,0x4e,
    0x56,0xcd,0x3a,0x63,0x0a,0x20,0xc7,0x5b,0x6e,0x15,0x88,
    0xd6,0x37,0xe1,0x90,0x25,0x01,0x62,0x93,0xb6,0xbf,0x3f,
    0x17,0x6f,0x14,0xc4,0xba,0x0c,0x92,0xcd,0x6d,0x07,0x0b,
    0x97,0x19,0x31,0x31,0x53,0x16,0xca,0xd9,0x5a,0xbc,0x8c,
    0x06,0x06,0xda,0x46,0x34,0x05,0x40,0x79,0x2e,0xde,0xaf,
    0x91,0xc2,0xf7,0x55,0x9d,0xcc,0x6e,0xe8,0xe5,0x21,0x75,
    0x02,0x85,0xc2,0x73,0x05,0xae,0xe1,0xa4,0xa0,0x86,0x04,
    0xfe,0x0a,0xa7,0x58,0xc8,0x81,0xe0,0x39,0x11,0x72,0xdc,
    0xce,0x2e,0x05,0xe2,0xb9,0x0d,0x76,0x9b,0xe9,0x40,0xef,
    0xe1,0x40,0xd1,0x43,0x60,0x24,0xcf,0xf0,0xf1,0xb5,0x42,
    0x75,0x79,0x7b,0xeb,0xf2,0xe3,0x65,0xa3,0xde,0xe4,0xeb,
    0x30,0x27,0xe1,0x41,0x06,0xbc,0x25,0xa9,0xa5,0x60,0x2c,
    0xa5,0xc0,0xcb,0x6f,0x46,0x2c,0xe8,0x1a,0x6c,0xb2,0x45,
    0x11,0x2e,0xaf,0x21,0x06,0x6a,0xa2,0x49,0xf6,0x77,0x2a,
    0x5e,0xb4,0xf0,0x0b,0x5f,0xe4,0x9b,0xd4,0xfa,0x5d,0x55,
    0x8c,0x2a,0x20,0xc7,0x69,0x16,0x5b,0x32,0x34,0xfa,0x79,
    0xaf,0xf0,0x23,0xf3,0xbd,0xad,0xf2,0xf6,0xe2,0x9d,0xc4,
    0xe8,0x8a,0xc6,0x62,0x80,0xbf,0xf4,0xe3,0xc8,0x24,0x61,
    0x18,0x59,0xce,0x2a,0x57,0x23,0x3f,0x4e,0x05,0x2d,0xbb,
    0xf6,0x7e,0x61,0x37,0x24,0x00,0xe7,0x38,0xb3,0x62,0xab,
    0x34,0x8f,0xa1,0xd6,0x2d,0x42,0x14,0x48,0xe4,0x9b,0x92,
    0x77,0x40,0x04,0x19,0xa0,0x83,0xf4,0x02,0x7a,0x0c,0xe5,
    0x1e,0x34,0x1e,0x32,0xb0,0x91,0x43,0xc6,0x94,0xa1,0xb4,
    0xa7,0xc2,0x83,0xde,0x70,0x74,0xea,0xf4,0xa0,0xf2,0x34,
    0x87,0xcf,0xcd,0xb1,0xc8,0xe7,0xdc,0x87,0x21,0x97,0x59,
    0xfe,0xd4,0xd3,0xfa,0xf2,0x91,0x85,0x98,0x0f,0x72,0x46,
    0xb3,0x66,0xdb,0xfb,0xb9,0x88,0x8f,0xe0,0xd1,0xaa,0xc2,
    0xa2,0x71,0xee,0xe9,0x8c,0x5d,0x17,0xd5,0xc6,0x2a,0x8d,
    0xa0,0x74,0x7f,0x85,0x88,0x4c,0x21,0x73,0x19,0xfc,0x63,
    0xa8,0xcc,0x79,0x5a,0xa5,0xfe,0xf7,0x77,0x2a,0x9f,0x1a,
    0x2d,0x02,0xb2,0x18,0x78,0x3e,0x3f,0xcf,0x6f,0x1c,0xd1,
    0x67,0xfc,0xc2,0x87,0xb4,0x2a,0x1f,0x96,0x5e,0x51,0x72,
    0xed,0xa3,0x86,0x3d,0x47,0x37,0x6a,0xaa,0xab,0xa2,0x82,
    0xb5,0x13,0x6f,0xf9,0xc7,0xdc,0x24,0x32,0x91,0x39,0x04,
    0xac,0x1c,0xa0,0x2b,0xc0,0x11,0xbe,0x07,0xdf,0xd6,0x89,
    0x63,0x7e,0xfb,0xe9,0x67,0x3e,0xdb,0x24,0x0c,0x00,0x59,
    0x4b,0x4e,0x24,0x35,0x52,0x2c,0x3d,0xe2,0x24,0xe0,0xa2,
    0x0a,0x1a,0x43,0x2e,0xf8,0x2e,0x24,0xb4,0xe9,0x2f,0xc8,
    0x27,0x53,0x7e,0x43,0x06,0x35,0xb5,0xe7,0x38,0xbc,0x62,
    0x32,0x03,0x4c,0xe6,0x83,0x54,0x62,0x71,0x9e,0xfd,0xe0,
    0x36,0xfb,0x24,0x28,0x95,0xbe,0x33,0x38,0xbb,0x5c,0x28,
    0xf9,0x0f,0xb9,0xed,0xf5,0x76,0xea,0x8f,0x93,0x95,0x5c,
    0xbc,0x9d,0x49,0xaf,0x6a,0x4b,0xce,0x04,0x37,0x1c,0x93,
    0xe8,0xe2,0xff,0x5d,0xff,0x91,0x80,0x00,0xc0,0xc9,0x82,
    0x49,0xb9,0x91,0xd0,0x7b,0x27,0x98,0x5a,0xa3,0x37,0xe6,
    0xf8,0xf6,0x9f,0x86,0xdd,0x1c,0x16,0xa0,0xa9,0xfe,0x30,
    0x69,0x12,0xae,0x00,0x08,0xd9,0x4f,0x9c,0x99,0xe6,0xcb,
    0x25,0x63,0xb4,0x65,0xae,0x20,0xa6,0x73,0xb9,0x5c,0x62,
    0xfe,0x4c,0x2d,0xf4,0x6c,0xae,0x7d,0xa0,0x3b,0xea,0xf4,
    0x99,0x8e,0xed,0x1b,0x3f,0x35,0x73,0x72,0xe1,0x34,0x9e,
    0x27,0xa6,0xb1,0xa6,0xdb,0x10,0x92,0x9a,0x69,0xf3,0x39,
    0xba,0x63,0x43,0xc6,0x19,0x57,0xf0,0x30,0xd7,0x06,0x7e,
    0x27,0xfc,0x00,0x50,0xf1,0x9d,0xdc,0x24,0x35,0xd4,0xba,
    0xb3,0x0f,0x1b,0x81,0x44,0xa1,0xcb,0xbb,0xa7,0xfb,0x3f,
    0xfa,0x13,0xc4,0xf0,0xf6,0xfe,0x3e,0xbb,0xfd,0xfd,0x1a,
    0x9e,0x8d,0x1b,0x34,0x38,0xfb,0xe0,0x57,0x16,0x70,0xe0,
    0x5e,0xd1,0x35,0x82,0xc6,0xa1,0x1c,0x66,0x44,0xfd,0xb9,
    0xf3,0x1b,0x24,0x66,0xaa,0xa6,0xbd,0x42,0x2c,0xfb,0x82,
    0x23,0x4c,0xc8,0x94,0x2b,0x43,0x2e,0xae,0xf7,0xaa,0x59,
    0x27,0xfa,0xbc,0x9a,0xa9,0xa9,0x5a,0xc1,0x7f,0xc9,0x6a,
    0xb1,0x07,0xa2,0xaa,0x79,0x35,0x31,0x0e,0x47,0x4c,0x39,
    0x29,0x38,0x72,0xf8,0xfd,0x33,0x4a,0x22,0xf5,0xbc,0x73,
    0x5a,0x25,0x09,0xc1,0x37,0xb5,0x86,0x74,0x59,0x4c,0x48,
    0x79,0x68,0x78,0x56,0x46,0x3e,0xfa,0x16,0x1a,0x7b,0xa3,
    0x7a,0x6b,0x12,0xa8,0xba,0x35,0xa9,0x43,0x1f,0xa5,0x35,
    0x06,0x51,0xdc,0x9f,0x98,0xec,0xb3,0x3b,0x4a,0x95,0x56,
    0x7b,0xfc,0x4b,0x98,0xe3,0x0c,0x29,0x6a,0x70,0x63,0xea,
    0x0a,0x71,0x95,0x24,0x1c,0x11,0xa5,0xf1,0x16,0x0a,0x2a,
    0xd9,0x5a,0xae,0x3b,0xdf,0xcb,0x6a,0x79,0xf3,0x95,0xec,
    0xdc,0x6d,0x8b,0x34,0x32,0x66,0x91,0xc0,0x7f,0xce,0x67,
    0x2a,0x31,0x7d,0x16,0xca,0x48,0xad,0xbc,0x5c,0x26,0x41,
    0xf5,0xf3,0xeb,0x9a,0xe4,0x18,0x76,0xc5,0xdb,0x1b,0xae,
    0x45,0xdb,0x53,0x23,0xe1,0x87,0x14,0x9e,0x7d,0x93,0x5f,
    0x3a,0x13,0x34,0xdb,0xa6,0x26,0x76,0x3f,0x23,0xb3,0xed,
    0x6f,0x59,0xc8,0x87,0x6b,0x74,0xd5,0xdc,0xa7,0xe2,0xab,
    0x6b,0x30,0xb6,0xd7,0x86,0x93,0x26,0xae,0xa8,0xb0,0x4b,
    0x2c,0x42,0x91,0xb9,0x73,0xee,0x37,0xd5,0xfe,0x4c,0xc4,
    0x28,0x4f,0xbe,0xab,0x48,0x2a,0x70,0xae,0x46,0xc0,0x59,
    0x90,0x91,0x27,0x39,0x8e,0xe4,0x59,0xca,0xec,0x77,0xb5,
    0xba,0x20,0xbe,0xe6,0x84,0x55,0x31,0x3f,0x13,0x83,0xb3,
    0xb7,0xe3,0x07,0x01,0xf1,0xc8,0xb4,0x65,0x56,0xa3,0xf9,
    0x00,0xcf,0x5f,0xe5,0xbf,0x84,0xbb,0xa6,0x60,0x55,0x7d,
    0x39,0x00,0x26,0xb3,0xa7,0xf3,0xb5,0xaf,0xc5,0xd3,0x00,
    0x88,0x75,0x05,0x7c,0x32,0x21,0xcb,0x0c,0xc0,0x5b,0x9c,
    0x37,0x33,0x7c,0xdc,0xdf,0xef,0xa5,0x46,0x1c,0xb9,0x73,
    0xca,0xa1,0xc5,0x2b,0xe5,0xc0,0xad,0x20,0x39,0xcc,0xf9,
    0xe5,0xd3,0x4b,0x4a,0xda,0x0b,0x8b,0x51,0x7d,0xb8,0x51,
    0xee,0x58,0x3c,0xaa,0x53,0xb5,0xca,0x4b,0x71,0x62,0x3b,
    0x14,0xd2,0x06,0x04,0xb1,0x5a,0x17,0xe8,0x9a,0x10,0x1e,
    0x55,0xb2,0xb6,0x78,0xd3,0x4f,0xed,0x67,0x7a,0x1f,0x74,
    0xab,0x29,0x5a,0x8a,0x9c,0x5d,0xfb,0xb2,0xdd,0x24,0x01,
    0x11,0xba,0xd3,0xe9,0x57,0x07,0x43,0xbc,0xf8,0xab,0xa7,
    0xbc,0xb5,0xbf,0xb8,0xda,0xfc,0x65,0x5f,0xb5,0x49,0xf5,
    0xe8,0x9d,0x55,0x58,0x80,0xb1,0x51,0xbf,0x7a,0x63,0x55,
    0x4e,0x01,0xb7,0xaf,0x9e,0xfc,0x86,0x2a,0x4e,0xcb,0x26,
    0x45,0x0b,0xc6,0x64,0x48,0x23,0xfd,0x2e,0x61,0x66,0x24,
    0x77,0xa9,0x6a,0xf6,0x5a,0x84,0xaf,0x42,0x87,0x6e,0xad,
    0x09,0x7a,0xcd,0x8f,0x6c,0x4e,0x6f,0x0c,0x09,0x10,0x04,
    0x85,0xf4,0x67,0xf1,0x11,0x9b,0xa8,0xfb,0xbb,0x32,0xca,
    0x93,0x75,0x35,0xc7,0xcb,0x3a,0xc8,0x47,0x42,0x5a,0xa4,
    0xf1,0x00,0x06,0xe7,0x61,0x56,0x71,0xb2,0xab,0x4a,0xa0,
    0xb5,0x0e,0xe5,0xaa,0xf0,0xdc,0xae,0x73,0xf6,0x18,0x2e,
    0x7b,0xde,0x2a,0x2f,0xa0,0xe1,0x21,0x84,0x0b,0x20,0x66,
    0x6f,0xc7,0x4f,0xd9,0xa8,0x9b,0x9f,0x1f,0x69,0x7a,0x26,
    0xf5,0x45,0xee,0xc0,0x27,0xdc,0xa8,0x48,0xf0,0xd0,0xb0,
    0xc2,0x9c,0x65,0xd4,0xd7,0x64,0xf4,0xc8,0x25,0xbb,0x33,
    0xab,0xda,0xcc,0xbe,0x25,0x14,0x04,0x0e,0x4e,0xb7,0x3b,
    0xa3,0x6f,0x4d,0xdb,0x3b,0x75,0xee,0x8c,0xb6,0xfb,0x83,
    0x60,0xa2,0xd1,0xfe,0xc2,0x4d,0xc6,0x5b,0x8e,0x37,0x2b,
    0x25,0xc0,0x76,0xb9,0x7e,0xf3,0x70,0xf8,0xf1,0x55,0x61,
    0xd2,0xd1,0x6a,0x5e,0xce,0x5f,0x28,0x4c,0xb7,0xa3,0x83,
    0x87,0x44,0x3e,0x8f,0x62,0x79,0xe7,0x93,0x11,0xb5,0x60,
    0x89,0x7e,0x41,0x1c,0x38,0x46,0x6b,0x74,0xbc,0x75,0x5b,
    0xeb,0xd7,0x6b,0x9a,0x71,0x79,0xec,0xd2,0xab,0x62,0x71,
    0xdc,0x44,0xc1,0xf4,0x0d,0x4e,0xc2,0xcf,0x72,0x42,0x17,
    0x64,0xf4,0x76,0x46,0xd6,0xb2,0x27,0xd4,0xbc,0xd1,0x51,
    0x05,0x3f,0x80,0xa4,0x05,0xb4,0x71,0x20,0x51,0x8a,0x31,
    0x1d,0x12,0xe0,0x71,0x5a,0xb0,0x0d,0xc5,0x39,0xba,0x62,
    0x43,0x4d,0xae,0x11,0x72,0x02,0x10,0xb3,0xb4,0x12,0x0a,
    0x1d,0x3f,0xbd,0x66,0xd0,0xaf,0xb3,0x42,0xae,0x62,0x08,
    0x5d,0xb8,0xae,0xed,0x41,0xac,0x3f,0xbe,0x72,0x1b,0xc9,
    0x54,0xb0,0x1f,0x29,0x3e,0xb4,0x49,0x5c,0x5f,0xb1,0xd4,
    0x93,0xee,0x39,0x6f,0xe0,0x57,0x34,0x35,0x63,0x6c,0x86,
    0xa4,0xf3,0x02,0x22,0x40,0xa6,0x74,0x23,0xc8,0xbd,0xda,
    0xd5,0x7b,0xc5,0x03,0x0c,0xd6,0xaf,0xb1,0x38,0x5e,0x7d,
    0x7d,0x63,0xea,0xc5,0xcf,0xaf,0xd2,0x58,0x48,0x60,0x73,
    0x72,0x0b,0x14,0xd2,0x23,0xc4,0xb9,0x91,0xcd,0x14,0x24,
    0x2d,0x52,0xd0,0x02,0xf7,0x82,0x4b,0xba,0x1d,0xab,0x39,
    0x93,0x12,0xc8,0x23,0xb8,0x4e,0x7a,0xe1,0xfc,0x5d,0x57,
    0x26,0xf2,0x29,0xea,0x96,0x49,0x34,0xaf,0xab,0x1a,0xd8,
    0xe7,0xa9,0xed,0xc1,0x05,0x75,0x79,0x73,0xc4,0x4b,0xfa,
    0x30,0x06,0x24,0x58,0x5d,0xa0,0xc4,0xb4,0xd8,0x59,0x3e,
    0x17,0x10,0xca,0xe0,0xf5,0x9c,0xa4,0x45,0x4d,0x67,0x28,
    0xd3,0x3f,0x62,0x7a,0x9d,0x8c,0x32,0x2f,0xde,0x75,0x8b,
    0xa9,0xaf,0xf0,0x61,0x24,0xae,0x76,0x2b,0xc2,0x1b,0x4d,
    0x60,0x23,0x0f,0xf6,0x70,0xf7,0x37,0xe7,0xe4,0xda,0x81,
    0xa5,0x30,0x90,0x39,0xec,0xac,0xfc,0x47,0x22,0xb0,0xff,
    0x0b,0xb7,0x45,0xd6,0x12,0x4a,0xf9,0x21,0xb7,0xfc,0xa4,
    0x72,0x6b,0xb4,0x85,0x49,0xcb,0xaf,0x80,0xd7,0xf7,0x93,
    0x0c,0x2c,0xc6,0x94,0xe6,0xae,0x75,0x02,0x4d,0x32,0x71,
    0xf9,0x08,0xf4,0x95,0xf3,0xb4,0x3c,0xe6,0x47,0x31,0x09,
    0xa0,0xbd,0xb8,0xd8,0xed,0xd3,0x17,0xf3,0x8e,0xe0,0x7a,
    0x6d,0xa6,0x33,0x2e,0x98,0x91,0xde,0x4b,0x58,0x92,0x37,
    0xa6,0xd1,0xa0,0x09,0x6a,0x9f,0xa7,0xe0,0xfc,0x89,0x45,
    0xdc,0x21,0x11,0xa1,0xc3,0x1b,0xe3,0x00,0xf8,0xc8,0x1f,
    0x0a,0xbc,0xf6,0xb1,0x55,0x52,0x48,0x7f,0x36,0x2f,0xe0,
    0x6b,0xef,0xa7,0xe7,0xb3,0xea,0x5e,0x2b,0xae,0xfe,0x01,
    0xd6,0x81,0xd9,0x03,0xfb,0x02,0xd3,0x20,0xb4,0x18,0xa7,
    0x75,0x29,0xb8,0xc5,0xba,0x55,0x31,0xdc,0xe6,0x1a,0xf6,
    0xa9,0x7d,0x93,0xa9,0x36,0x7f,0x8d,0xa7,0x30,0xb7,0x5b,
    0x4b,0x20,0x32,0x8d,0xb8,0x5e,0x0f,0xb1,0xa5,0xdd,0xcc,
    0x1a,0x57,0x3f,0xce,0xe0,0x9a,0x81,0xdb,0xca,0xc6,0x2a,
    0x73,0xc8,0xbd,0xc9,0xc3,0x43,0x10,0xe8,0x6e,0xd6,0x9f,
    0xb8,0x81,0xf0,0x77,0x98,0x6f,0xff,0xec,0x58,0xa3,0x4a,
    0x82,0xe3,0xa1,0x1d,0x8e,0x3e,0x2e,0xbc,0x13,0xb1,0xa9,
    0x1a,0xe3,0x77,0x9f,0x16,0x26,0xdf,0x66,0xd7,0x65,0x38,
    0x33,0x4e,0x16,0x36,0x48,0xea,0xde,0x44,0xaa,0x01,0x8a,
    0x62,0x63,0xf1,0x4a,0x0f,0x04,0x23,0x9c,0x45,0x06,0x1a,
    0x6c,0xac,0xcb,0x44,0x63,0x84,0x15,0xbe,0x57,0x35,0x13,
    0x9a,0x4b,0xd7,0xe2,0x36,0xc3,0x7e,0x0d,0x8b,0x6d,0x64,
    0x59,0x41,0x98,0xa5,0xc5,0xe2,0xc4,0xdc,0x8c,0xdf,0xad,
    0x0f,0x72,0x21,0x82,0x3a,0xa9,0x49,0xe2,0xbe,0xa5,0x2e,
    0x99,0xaa,0x1d,0xcb,0x7e,0xdb,0x34,0x08,0xea,0xff,0x5d,
    0xae,0xfe,0x9d,0x13,0xa9,0x45,0x60,0x6a,0xaa,0xef,0xe4,
    0x26,0xfe,0xbe,0xb0,0xa1,0x81,0x12,0x1c,0x77,0xd9,0xc6,
    0x99,0x85,0xe2,0x6b,0xa3,0xe1,0xba,0x76,0x36,0xd2,0xba,
    0x1f,0xbc,0x0d,0xdd,0x16,0xce,0x4c,0x95,0x60,0x48,0x73,
    0x3d,0x1e,0x2e,0x5e,0x82,0xe8,0x73,0xb5,0xb4,0x1d,0x0b,
    0xc3,0x44,0x8e,0xb6,0x32,0x7e,0xfa,0xc9,0xd5,0x18,0x6b,
    0xe6,0x02,0x6b,0xea,0x75,0x2e,0xa4,0x37,0xac,0x1f,0xba,
    0x27,0x06,0x93,0xe5,0x82,0xe8,0xf2,0xf7,0x58,0x98,0x45,
    0x57,0x9f,0xc7,0xb4,0x61,0x07,0xbc,0xff,0x4c,0x40,0xf8,
    0xaa,0x21,0x09,0xe3,0xb1,0x9b,0x4e,0x9e,0x73,0xf6,0x38,
    0x3d,0x29,0xee,0x93,0x7a,0x45,0x95,0xfa,0xbc,0xff,0xa1,
    0x81,0x5e,0x5d,0x7d,0x3d,0x74,0xa1,0xfd,0xc4,0x77,0xb8,
    0xd5,0x7d,0x93,0x06,0x36,0x1b,0x6d,0x37,0x24,0xa9,0x43,
    0x0e,0x2c,0x5f,0xd4,0xb4,0xf0,0x37,0x37,0x2d,0xf7,0x6c,
    0x31,0x9f,0x3f,0x91,0xe1,0xe7,0xc6,0x47,0x0e,0xd4,0x9b,
    0xff,0xfb,0x8b,0xa5,0x79,0x86,0x8a,0x73,0xf8,0xef,0x33,
    0x1c,0xa9,0x43,0xb3,0xb5,0xc9,0xa3,0xa5,0x6c,0x5d,0x6f,
    0xb5,0x3c,0xb9,0xc5,0x8b,0x3a,0x57,0x29,0x1f,0x3f,0x74,
    0x54,0x8d,0xdb,0x7c,0xcf,0xe9,0xe2,0xab,0xe6,0xaf,0xb9,
    0x5d,0x4e,0x74,0xb0,0x01,0x3b,0xe3,0xaa,0x26,0x42,0x23,
    0x32,0xe1,0xea,0xbc,0x71,0xa1,0xb9,0x59,0x88,0x77,0x33,
    0xbc,0x24,0xf4,0x85,0x12,0xdf,0x38,0x33,0x8f,0x06,0x26,
    0xe7,0x93,0xbc,0xa7,0x95,0x06,0xfe,0x17,0x04,0x04,0x44,
    0xc3,0x60,0x0e,0x9d,0x2a,0x60,0xb9,0x70,0xdd,0xdc,0xab,
    0x2f,0x4a,0xb5,0xfe,0x57,0x2e,0xc9,0x0b,0xc7,0x62,0xff,
    0x09,0x9e,0x88,0x72,0xab,0x90,0x27,0x0d,0xdd,0xc2,0x3c,
    0xb2,0x3e,0x8b,0x12,0x52,0x25,0x0c,0xa2,0xfb,0x72,0xb9,
    0xc9,0x9c,0x4b,0x2b,0x87,0x11,0x40,0x02,0x62,0x60,0xa8,
    0xe6,0xc2,0x19,0xc2,0x71,0x18,0x6c,0x26,0xf4,0x71,0x87,
    0xa1,0x49,0xa5,0xeb,0x9a,0xd2,0x51,0x12,0x16,0xb4,0x05,
    0x24,0x58,0xb7,0x75,0x7d,0x6f,0xd5,0xa1,0xd9,0x9a,0x9d,
    0xaf,0xd5,0x51,0x58,0xf0,0x4d,0x30,0xe0,0x7a,0x1e,0xa6,
    0xab,0xb4,0x4a,0x36,0x96,0xe5,0x98,0x79,0x54,0xc5,0x77,
    0x78,0xfa,0xb6,0xa9,0xdc,0x7b,0xf6,0xdf,0x86,0x75,0x02,
    0x19,0xee,0xa8,0xb8,0x0a,0x18,0xf6,0x36,0x99,0x5d,0x65,
    0x3f,0x8c,0x51,0xc8,0x05,0xe0,0xba,0xa7,0x0f,0x93,0xa3,
    0x6f,0xec,0xa0,0xbf,0xfd,0x5f,0x4d,0x6f,0x14,0xdf,0x91,
    0xd8,0x91,0x37,0x43,0xc9,0x23,0xd7,0x7c,0x15,0xdf,0x24,
    0xf4,0x2d,0xa1,0x48,0xf2,0x83,0xe2,0x60,0x8a,0xff,0x7a,
    0x4e,0x18,0x5b,0x71,0x62,0x5b,0x18,0x98,0xf0,0xa7,0x1e,
    0x92,0x51,0xec,0x81,0xd4,0xa5,0x85,0xb8,0x58,0xdb,0xbc,
    0xc6,0x24,0xd9,0x37,0xbc,0xfd,0x43,0xac,0xc0,0xcf,0xad,
    0xbb,0x46,0x23,0x1e,0x74,0x00,0x5b,0x31,0x62,0x3b,0x91,
    0x57,0xb9,0x60,0x31,0x02,0x96,0xdc,0xd7,0xea,0x31,0x25,
    0x71,0xa3,0x88,0xdf,0x6a,0x04,0xa3,0xf4,0xa6,0xc8,0x25,
    0xe0,0x39,0x10,0x09,0x58,0x64,0x2b,0x56,0x3b,0x0d,0x05,
    0x84,0x17,0x78,0xbf,0x4b,0x14,0x15,0x73,0x29,0xea,0xbd,
    0x63,0xcb,0x7e,0x7e,0x24,0x24,0x7f,0x73,0xeb,0x2e,0x2e,
    0xb9,0x7a,0xd5,0x7c,0x46,0x05,0xa4,0x05,0x54,0x90,0x3f,
    0x83,0xe4,0x59,0x4c,0xe2,0x77,0x81,0xf0,0x20,0x70,0x79,
    0xee,0x55,0x2d,0x7d,0x7e,0x06,0x3e,0xd7,0x82,0x34,0xcc,
    0xbe,0x43,0x6e,0xf7,0xf9,0xcc,0xb4,0xf0,0xbb,0x57,0x69,
    0xea,0xd9,0x46,0x4b,0x26,0x55,0x2e,0xba,0xd8,0x2a,0xb3,
    0xa7,0x66,0xb5,0xaf,0x8b,0x3d,0x28,0xb5,0xd3,0xb7,0x56,
    0xe7,0xd2,0x6a,0x0c,0x28,0x0b,0x63,0x44,0x9b,0x85,0xa7,
    0x2a,0x7f,0xe0,0x64,0xf6,0xac,0xb4,0xb8,0x47,0xd0,0xa0,
    0xc9,0xd2,0xfc,0x30,0x5b,0x5b,0x29,0xef,0xa7,0x97,0x2c,
    0x58,0xec,0x2f,0xc6,0x3e,0x15,0x04,0xcb,0xff,0xa6,0xee,
    0x19,0xf8,0x63,0xff,0xfa,0xbc,0xc7,0xa1,0x89,0x09,0x25,
    0xa4,0x1b,0x86,0x0c,0xcf,0x0c,0xfc,0x66,0x03,0xb2,0xeb,
    0x43,0xc6,0xc6,0xe2,0xb4,0xb3,0x47,0x87,0x23,0xb3,0xca,
    0xa0,0xbc,0x37,0x81,0x99,0xdc,0xa0,0x2b,0xba,0x42,0x88,
    0xdc,0x06,0xd0,0x13,0x17,0xfe,0x57,0x92,0xbd,0x87,0xbd,
    0xd3,0x00,0x7d,0xa9,0x3f,0xd9,0xa2,0xed,0x07,0x27,0xc1,
    0xfc,0x27,0x7c,0xc3,0x2c,0x9b,0xa6,0x49,0x28,0x9f,0x8d,
    0xe1,0xbe,0x27,0x6a,0x0d,0x23,0x5f,0x1f,0xd9,0xcf,0x09,
    0xd0,0xe4,0x25,0x18,0x9d,0x61,0x61,0x38,0xc6,0x82,0x0d,
    0x74,0x06,0x6a,0xf0,0x06,0xae,0x36,0x79,0xa5,0xf5,0x71,
    0x7a,0x7c,0x28,0x08,0xb0,0x2b,0x7f,0x26,0xdc,0xb1,0xf5,
    0x6f,0x63,0x4a,0xd9,0xb5,0x7c,0xf5,0xc4,0xa5,0x9f,0x67,
    0x3c,0xf5,0x2b,0x8d,0x2c,0x0c,0x62,0x78,0x11,0xf4,0x9c,
    0x24,0x2f,0x9d,0x31,0x26,0x7d,0x91,0x50,0x41,0x5f,0xa1,
    0x2e,0x06,0xb6,0xd6,0xfb,0xda,0x76,0xf8,0xf5,0x32,0x3e,
    0x40,0xf5,0xab,0xba,0x59,0x4b,0xe3,0x24,0x29,0x98,0x5c,
    0xdc,0x1a,0xb2,0xb5,0xa6,0x05,0xe6,0x3b,0x26,0xa9,0x81,
    0xe1,0xb5,0x4f,0xb3,0x41,0x13,0x7c,0x76,0x13,0x86,0x78,
    0xee,0xc4,0x7f,0x1d,0xeb,0x06,0x8d,0x35,0xa9,0x85,0x30,
    0x6e,0x0d,0xc6,0xdc,0x4b,0xfb,0xbe,0x9c,0xa1,0xa1,0xbd,
    0x4f,0x7f,0x2b,0x90,0xa9,0x64,0x0e,0x11,0xb7,0xc9,0x39,
    0xa4,0xaa,0xc7,0x70,0xc5,0xbe,0x49,0x25,0x0e,0x8a,0xdb,
    0x1a,0xb7,0x44,0x1b,0x01,0x51,0x4c,0x35,0x14,0x62,0xf1,
    0x1c,0x3d,0xc9,0xe5,0x17,0x1d,0xbe,0x57,0xa4,0xb5,0xaf,
    0xf5,0x41,0x20,0xd2,0x2f,0x6c,0x9b,0xba,0x67,0xb2,0xb1,
    0x1b,0x90,0xe7,0x39,0xa7,0x7e,0x57,0x16,0xa4,0x63,0xe9,
    0x81,0xef,0xaf,0x02,0x22,0x44,0xa8,0xf1,0x37,0xba,0x18,
    0xcb,0xc0,0x73,0x96,0x62,0xc0,0x4f,0xcc,0x7c,0xd9,0xa7,
    0xfe,0x0a,0xc0,0x2a,0xb1,0xd2,0x2d,0x06,0x55,0x95,0x80,
    0x3e,0x33,0x2a,0x67,0x24,0x97,0x01,0x00,0xe4,0x48,0xe4,
    0xa2,0xf3,0x11,0xf4,0x4d,0x9f,0x47,0xc8,0x8b,0x49,0x83,
    0xcb,0x8a,0x02,0x12,0xde,0xb1,0x73,0x2c,0x3f,0xa5,0xf6,
    0x34,0x76,0xe5,0xa3,0xd2,0x72,0xdc,0x3c,0x4c,0x66,0x86,
    0xc9,0x1f,0x17,0x49,0x3e,0x71,0x5d,0x14,0xb5,0x08,0x0f,
    0xca,0xc3,0xf8,0x58,0x6f,0x09,0x20,0xf5,0x48,0x3e,0xae,
    0x92,0x57,0xee,0x32,0xe0,0x0a,0x8b,0x1b,0x9f,0x45,0xee,
    0x29,0x33,0x3f,0x3c,0x20,0x85,0x8e,0xa7,0xd7,0x20,0x96,
    0xff,0x12,0x75,0x1c,0xde,0xf3,0xf7,0x9e,0x67,0x2a,0x9f,
    0x28,0xae,0x2d,0xb1,0x1c,0xe3,0x79,0xf3,0xa7,0xe0,0x33,
    0x83,0x26,0xf4,0x88,0xb0,0x0c,0xc2,0x9c,0xca,0x3f,0xc2,
    0xb9,0x58,0x43,0xc6,0x54,0x79,0xbc,0xf3,0x35,0xa6,0x0c,
    0xa6,0xab,0x93,0xe9,0x33,0xa3,0x10,0xe8,0x08,0x51,0x76,
    0x7f,0x89,0x10,0x9e,0xf6,0x95,0x74,0x32,0x07,0x10,0x8f,
    0x6d,0xb3,0x70,0xfd,0xb7,0x00
};

